Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Interface Convention

All Superinterfaces:
  org.gradle.api.internal.DynamicObject

    public interface Convention

extends org.gradle.api.internal.DynamicObject

A `Convention` manages a set of convention objects. When you add a convention object to a `Convention`, and the properties and methods of the convention object become available as properties and methods of the object which the convention is associated to. A convention object is simply a POJO or POGO. Usually, a `Convention` is used by plugins to extend a `Project` or a `Task`.

Method Summary
`
`<T> T`
` | `getPlugin(java.lang.Class<T> type)` Locates the plugin convention object with the given type.
`java.util.Map<java.lang.String,java.lang.Object>` | `getPlugins()` Returns the plugin convention objects contained in this convention.

Methods inherited from interface org.gradle.api.internal.DynamicObject
`getProperties, getProperty, hasMethod, hasProperty, invokeMethod, setProperty`

Method Detail

### getPlugins

    java.util.Map<java.lang.String,java.lang.Object> getPlugins()

  Returns the plugin convention objects contained in this convention.

  Returns:
    The plugins. Returns an empty map when this convention does not contain any convention objects.

### getPlugin

    <T> T getPlugin(java.lang.Class<T> type)
                throws java.lang.IllegalStateException

  Locates the plugin convention object with the given type.

  Parameters:
    `type` - The convention object type.
  Returns:
    The object. Never returns null.
  Throws:
    `java.lang.IllegalStateException` - When there is no such object contained in this convention, or when there are multiple such objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD